*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

html{
    width: 100%;
}

header{
  width: 100%;
  height: 100vh;
  overflow: hidden;
  background: url(../img/agroquimiicos-todos.JPG);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
}


.head{
  background: rgba(228, 228, 228, 0);
  z-index: 999;
  position: relative;
}

.head-1{
display: flex;
justify-content: center;
}

.nav{
  position: absolute;
  z-index: 999;

}

.nav-2{
position: absolute;
display: none;
opacity: 0;
}

.logo{
  max-width: 13rem;
}



.nav-list{
  display: flex;
  list-style-type: none;
  gap: 6rem;
  align-items: center;
  justify-content: center;
}



.nav-list-2{
  display: flex;
  list-style-type: none;
  gap: 2rem;
  margin-top: 2rem;
  align-items: center;
  justify-content: center;
}

.nav-list li a{
  text-decoration: none;
  color: rgb(255, 255, 255);
  font-size: 2rem;
}

.abrir-menu{
  display: none;
}


.cerrar-menu{
  display: none;
}

.abrir-menu{
  padding: 1rem;
  border-radius: 1rem;
  border: none;
  background: rgba(255, 255, 255, 0);
  color: rgb(255, 255, 255);
}

.cerrar-menu{
  padding: 1rem;
  border-radius: 1rem;
  border: none;
  background: rgba(255, 255, 255, 0);;
}

.cerrar-menu img, .cerrar-menu img{
  width: 2rem;
}

.btn-img{
  z-index: 999;
  width: 2rem;
}

/*Logo centrado*/
header .fav{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50vh;
  z-index: 998;
  font-size: 2rem;
  text-align: center;
  width: 100%;
  color: white;
  font-weight: 300;
} 

.logo-res{
width: clamp(10rem, 3vw, 15rem);
position: relative;
display: none;
}

.equ{
  z-index: 999;
display: flex;
padding:  1rem;
align-items: center;
justify-content: space-between;
}

.tit{
    color: white;
    top: 0%;
    left: 0%;
    width: 100%;
    height: 100vh;
    /*
    background: rgb(22,191,19);
    background: linear-gradient(231deg, rgba(22,191,19,0) 63%, rgba(22,191,19,1) 100%);
    */
}

.tit-1{
    text-align: center;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    padding-left: 0%;
}

.tit-1 h1{
    font-size:clamp(3rem, 10vw, 5rem);
    
}

.tit p{
    font-size: clamp(1.2rem, 4vw, 2rem);
    padding-bottom: 1rem;
}

.tit-1 button{
    padding: .7rem;
    background: #2118ff;
    border: none;
    border-radius: 1rem;
    color: rgb(255, 255, 255);
    font-size: 1rem;
    font-weight: 400;
    transition: .4s;
}

.tit-1 .btn{
    padding: .7rem;
    background: white;
    border: none;
    border-radius: 1rem;
    color: #2118ff;
    font-size: 1rem;
    font-weight: 400;
    transition: .4s;
}

  .guar{
    text-align: center;
    display: grid;
    grid-template-columns: 1fr;
    margin: 15vh 5%;
    gap: 2rem;
  }
  
  .guar-1{
    position: relative;
  }
  
  .guar-1-1 h1{
    font-size: clamp(2.5rem, 6vw, 4rem);
    color: rgb(0, 0, 128);
  }
  
  .guar-1-1 small{
    font-size: clamp(1.5rem, 3vw, 2rem);
    color: rgb(15, 105, 19);
  }
  
  .guar-1::after{
    content: "";
    position: absolute;
    width: 100%;
    height: 4px;
    bottom: -7px;
    background: rgb(15, 105, 19);
    left: 0;
  }
  
  .guar-2 p{
    font-size: clamp(1.2rem, 2vw, 1.5rem);
  }

.produ{
  margin: 20vh 0;
}

.produ h1{
  font-size: clamp(2.2rem, 6vw, 4rem);
  color: rgb(0, 0, 128);
  padding: 1rem  2rem;
}

 strong{
  font-size: clamp(2.3rem, 4vw, 3rem);
  color: rgb(12, 116, 17);
}

.menu{
  display:grid;
  grid-template-columns: repeat(6, 15rem);
  grid-template-rows: 22rem;
  gap: 1rem;
  overflow-x: auto;
  overscroll-behavior-x: auto;
  scroll-padding: 0 2rem ;
  scroll-behavior: smooth;
  padding: 1.5rem 2rem;
}

.menu a{
    box-shadow: 0 4px 6px 0 rgb(228, 228, 228);
}

.snaps-inline {
  scrollbar-width: none;
}

.snaps-inline>* {
  scroll-snap-align: start;
}

.menu-1{
  text-align: center;
  border-radius: .7rem;
  background: url(../img/agroquimicoss.webp);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  text-decoration: none;
}

.capa{
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.185);
  position: absolute;
  padding: 0;
  border-radius: .7rem;
}

.menu-1-1{
  top: 50%;
  position: relative;
  transform: translateY(-50%);
}



.menu-1-1 h2{
  font-size:clamp(2rem, 2.4vw, 2.5rem);
  color: rgb(255, 255, 255);
  padding: 0;
  font-weight: 900;
  z-index: 999;
  position: relative;
  text-align: center;
}

.menu-1-1 p {
  position: relative;
  font-size:clamp(.8rem, 1.2vw, 2rem);
  color: white;
  z-index: 999;
}

.menu-2{
  text-align: center;
  border-radius: .7rem;
  background: url(../img/fericidas.webp);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  text-decoration: none;
}

.menu-3{
  text-align: center;
  border-radius: .7rem;
  background: url(../img/fuggggg.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
    text-decoration: none;
}

.menu-4{
  text-align: center;
  border-radius: .7rem;
  background: url(../img/bioestimulante.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  text-decoration: none;
}


.menu-5{
  position: relative;
  text-align: center;
  border-radius: .7rem;
  background: url(../img/insecticidas.jpeg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  text-decoration: none;
}

.menu-6{
  position: relative;
  text-align: center;
  border-radius: .7rem;
  background: url(../img/herbicidas.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  text-decoration: none;
}

/*Importancia*/

.impor {
    background: url(../img/prueba.jpg);
    background-repeat: no-repeat;
    /*background-position: center;*/
    background-size: cover;
    padding: 0 5%;
    margin: 15vh 0;
    height: 100vh;
    background-attachment: fixed;
}

.impor-sub{
    display: grid;
    grid-template-columns: 1fr;
    
    background: white;
    text-align: left;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

.impor-1{
    padding: 1rem;
}

.impor-1 h1{
    color: rgb(0, 0, 128);
    font-size:clamp(2rem, 2.8vw, 3rem);
}

.impor-1 p{
    font-size: clamp(1.2rem, 2vw, 1.5rem);
    padding: 1rem 0;
}

.impor-2{
    position: relative;
    
}

.impor-2{
    display: block;
    background: url(../img/señor.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size:cover;
}


.impor-1 button {
    padding: 14px;
    border: none;
    border-radius: 5px;
    background: rgb(0, 0, 128);
    color: white;
}


/*Pie de Pagina*/
.pie-pagina{
    margin-top: 10rem;
    width: 100%;
    background: rgb(0, 0, 128);
  }
  
  .pie-pagina .grupo-1{
    width: 100%;
    max-width: 1200px;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 50px;
    padding: 45px 0px;
  }
  .pie-pagina .grupo-1 .box figure{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .pie-pagina .grupo-1 .box figure img{
    width: 250px;
  }
  
  .pie-pagina .grupo-1 .box h2{
    color: white;
    margin-bottom: 25px;
    font-size: 2.5rem;
  }
  
  .pie-pagina .grupo-1 .box p{
    color: white;
    margin-bottom: .8rem;
  }
  
  
  .pie-pagina .grupo-1 .red-social{
    display: flex;
    flex-direction: column;
  }
  
  .pie-pagina .grupo-1 .red-social a{
    text-decoration: none;
    color: white;
    margin-left: 0;
  }
  
  .pie-pagina .grupo-2{
    background: rgb(1, 1, 59);
    padding: 1rem .7rem;
    text-align: center;
    color: white;
  } 
  
  .pie-pagina .grupo-2 small{
    font-size: 1rem;
  }

.left, .right{
  display: none;
}
  
  @media screen and (max-width:800px){
    .pie-pagina .grupo-1{
       grid-template-columns: 1fr;
    }
  }

@media screen and (min-width:700px){

    .tit-1 button, .tit-1 .btn{
        padding: 1rem;
    }
  .menu{
      grid-template-columns: repeat(6, 19rem);
      grid-template-rows: 28rem;
  }

  .impor-sub{
    grid-template-columns: repeat(2,1fr);
}

.impor-2{
    display: block;
    background: url(../img/señor.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size:cover;
}

    .guar{
  grid-template-columns: repeat(2,1fr);
  margin: 20vh 5%;
}

.guar-1::after {
content: "";
  position: absolute;
  width: 6px;
  height: 100%;
  background: rgb(0, 128, 6);
  top: 0;
  left: 100%;
  margin-left: -3px;
  z-index: 1;
}

.guar-1-1{
position: relative;
top: 50%;
transform: translateY(-50%);
margin: 0 2rem;
}

.guar-2 p{
text-align: left;
}
}
@media screen and (min-width:1024px) {
  .menu-1, .menu-2, .menu-3, .menu-4, .menu-5, .menu-6{               
      transition: all ease-in-out .4s;
  }

  .menu-1:hover, .menu-3:hover, .menu-5:hover, .menu-6:hover{
      scale: 1.02;
      box-shadow: 0 0 18px rgb(0, 0, 128);
  }

  .menu-2:hover,.menu-4:hover,.menu-6:hover{
      scale: 1.02;
      box-shadow: 0 0 18px rgb(12, 116, 17);
}

    .tit-1{
        top: 50%;
    }

    .tit-1 button:hover{
        background: rgb(255, 255, 255);
        color: #2118ff;
    }

    .tit-1 .btn:hover{
        color: rgb(255, 255, 255);
        background: #2118ff;
    }

    .produ{
    position: relative;
  }

  .left{
    position: absolute;
    top: 60%;
    transform: translateY(-50%);
    border: none;
    padding: 1rem;
    z-index: 999;
    left: 10px;
    border-radius: 10px;
    font-size: 1.6rem;
    background-color: rgba(238, 238, 238, 0.63);
    color: rgb(0, 0, 0);
    transition: .2s ease-in-out;
    display: block;
  }

  .right{
    position: absolute;
    top: 60%;
    transform: translateY(-50%);
    border: none;
    padding: 1rem;
    z-index: 999;
    right:10px;
    border-radius: 10px;
    font-size: 1.6rem;
    background-color: rgba(238, 238, 238, 0.63);
    color: rgb(0, 0, 0);
    transition: .4s all;
    display: block;
  }

  .left:hover, .right:hover{
    background: rgba(187, 187, 187, 0.808);
    scale: 1.04;
  } 


@media screen and (width <= 1061px){


  .logo-res{
    display: block;
  }

  .intro-p{
      line-height: 2.3rem;
  }

  .abrir-menu,.cerrar-menu{
    display: block;
  }

  .abrir-menu{
      position: relative;
      
  }

  .nav{
    opacity: 0;
    visibility: hidden;
    display: none;
  }

  .nav-2{
  display: none;
    opacity:0;
    display: flex;
    flex-direction: column;
    align-items: end;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    padding: 1.6rem 2rem;
    box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .2);
    z-index: 999;
    background: rgb(255, 255, 255);
    height: 100vh;
    visibility: hidden;
  }

  .logo{
      position: relative;
      left: -3rem;
      display: none;
  }

  .nav-2.visible{
    opacity: 20;
    visibility: visible;
    background: rgb(0, 0, 128);
    height: 100vh;
    z-index: 1;
  }

  .nav-list-2{
    flex-direction: column;
    align-items: end;
    gap: 10px;
    position: relative;
  }

  .nav-list-2 li a{
    color: white;
    text-decoration: none;
    font-size: 2rem;
  }

  .mapadiv{
      width: 100%;
      left: -10px;
  }
}


